#include <iostream>
using namespace std;
int N, L;
int A[1022];
int main()
{
    scanf("%d%d", &N, &L);
    for(int i=1 ; i<= N; i++){
        scanf("%d", &A[i]);
    }
     for(int i=1 ; i<= N; i++){
       if(A[i]<=L){
           cout<<i;
           return 0;
       }
       
    }
    cout<<-1<<endl;
    return 0;
}